Bug 199646 - valgrind appears to confuse elf and dwarf2
valgrind appears to confuse elf and dwarf2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-20 19:55 EDT by Brett Pemberton
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.2.1-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 06:21:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
simple program used to test valgrind (99 bytes, application/octet-stream)
2006-07-20 19:55 EDT, Brett Pemberton
no flags Details

  None (edit)
Description Brett Pemberton 2006-07-20 19:55:52 EDT
Description of problem:

When asked to debug a simple, newly compiled binary, valgrind spits out DWARF2
errors.

Version-Release number of selected component (if applicable):

valgrind-3.2.0-3.1

How reproducible:

Always

Steps to Reproduce:
1. compile a simple binary
2. valgrind --tool=memcheck ./test
  
Actual results:
pages of:
--24007-- DWARF2 CFI reader: unhandled CFI instruction 0:18
--24007-- DWARF2 CFI reader: unhandled CFI instruction 0:18

Expected results:
actual debug information

Additional info:
Comment 1 Brett Pemberton 2006-07-20 19:55:52 EDT
Created attachment 132777 [details]
simple program used to test valgrind
Comment 2 Jakub Jelinek 2006-10-05 06:21:22 EDT
Valgrind wasn't handling properly some CFI ops, including not computing right
their length.
This should be fixed in the current rawhide valgrind (3.2.1-4).

Note You need to log in before you can comment on or make changes to this bug.